Subject: Re: How to combine multiple commit diffs?

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Oct 2023 10:03:19 -0700

ZheNing Hu <[email-masked]> writes:

> This may seem similar to cherry-picking a few commits from a pile of
> commits, but in fact, we do not expect to actually perform
> cherry-picking.

If you said "We do not want to", I may be sympathetic, but it is
curious that you said "We do not expect to", which hints that you
already have some implementation in mind.

Whether you use a checkout of the history to a working tree and
perform a series of "git cherry-pick" to implement it, or use the
"git replay" machinery to perform them in-core, at the conceptual
level, you would need to pick a base commit and apply the effect of
those commits you would want to look at on top of that base in
sequence, before you can see the combined change, no?

Puzzled.